Unify and manage your data

Import Entity

Using this API you can import records from the customer tenant or data tenant.

Request

GET {SbcApiUrl}/{tenant}/{profile}/{source}/import
Table 1. Parameters
TypeNameRequiredDescription
HeadersAuthorizationYes
PathSbcApiUrlYesSBC service URL
tenantYesTenant ID
profileYesProfile name
sourceSource of entity: ct - Customer tenant, dt - Data tenant
QuerysObjectYessObject type
recordTypeIdnoRecord Type Id of the Salesforce object
uriYesEntity URI
ownerIdNoThe User Id that is set as the owner Id of the created object. If the owner Id is not specified, the service user becomes the owner of the sObject.

Request Example

GET https://{environment}.reltio.com/account360/profileName/ct/import?sObject=Account&recordTypeId=123600000CiouYYu&uri=entities/gFtr12

Response Example

{
  "success": true,
  "type": "Account",
  "id": "1231U00000GTORJQZ4",
  "errors": [],
  "relatedObjects": [
    {
      "success": true,
      "type": "Address_vod__c",
      "id": "0031U00000GTORJQA5",
      "errors": []
    },
    {
      "success": false,
      "type": "Address_vod__c",
      "errors": [
        "Required fields are missing: [Name]"
      ]
    }
  ]
}